@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');
.first-section {
    background-image: url('bg.jpg');
    height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

html,
body {
    margin: 0;
}

.overlay {
    padding: 2em;
    background-color: rgba(0, 0, 0, 0.5);
    height: 100%;
}

.logo {
    color: white;
}

.loading {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}

.loading ul {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    animation: 800ms infinite normal glitch;
}

.loading ul li {
    height: 40px;
    width: 30px;
    background-color: white;
    margin-right: 10px;
}

.loading .loading-title {
    font-size: 60px;
    letter-spacing: 15px;
    width: fit-content;
    color: #373636;
    border-bottom: 6px solid #373636;
    margin: 0 auto;
    margin-bottom: 1em;
    font-weight: 700;
}

.loading .subtitle {
    color: white;
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 1em;
}

.loading ul li:last-child {
    animation: 800ms infinite normal glitch;
}

@keyframes glitch {
    0% {
        opacity: 0;
    }
    50% {
        visibility: visible;
    }
}

.soc a i {
    color: white;
    font-size: 20px;
}

.soc a {
    width: fit-content;
    background: rgba( 255, 255, 255, 0.15);
    box-shadow: 0 8px 32px 0 rgba(189, 189, 189, 0.37);
    backdrop-filter: blur( 8.5px);
    -webkit-backdrop-filter: blur( 8.5px);
    border-radius: 5px;
    padding: 0.5em 1em;
    margin: 0 auto;
}

.soc a:hover {
    transform: scale(1.1);
}

.mail {
    color: white;
    margin-top: 2em;
    font-size: 20px;
}

.mail p span {
    text-decoration: underline;
    font-size: 20px;
    font-weight: 500;
}

.logo {
    margin-left: 2em;
}

.logo img {
    height: 150px;
}

.loading ul {
    padding-left: 0px;
}

@media(max-width:600px) {
    .loading .loading-title {
        font-size: 32px;
        letter-spacing: 5px;
        border-bottom: 3px solid white;
        margin-bottom: 0.5em;
    }
    .loading ul li {
        height: 30px;
        width: 20px;
        background-color: white;
        margin-right: 7px;
    }
}

@media(max-width:450px) {
    .loading .loading-title {
        font-size: 24px;
    }
    .logo {
        margin-bottom: 1em;
    }
    .logo img {
        height: 80px;
    }
    .hide {
        display: none;
    }
    .loading .subtitle {
        font-size: 18px;
    }
    .mail {
        font-size: 16px;
    }
    .mail p span {
        font-size: 16px;
    }
    .overlay {
        padding: 1em;
    }
    .loading {
        transform: translate(-48%, -30%);
    }
}

.loading .subtitle {
    font-size: 36px;
}

.loading .subtitle span {
    display: block;
    font-size: 24px;
    margin-top: .5em;
    position: relative;
    width: fit-content;
    margin: 0 auto;
    font-family: 'Lobster', cursive;
}

.loading .subtitle span::before {
    content: '';
    position: absolute;
    height: 2px;
    width: 40px;
    background-color: white;
    top: 50%;
    transform: translateY(-50%);
    left: -70px;
}

.loading .subtitle span::after {
    content: '';
    position: absolute;
    height: 2px;
    width: 40px;
    background-color: white;
    top: 50%;
    transform: translateY(-50%);
    right: -70px;
}

.loading .loading-title {
    font-size: 70px;
    letter-spacing: 10px;
}

.loading .loading-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 2em;
    margin-bottom: 1em;
}

.loading .subtitle {
    text-align: center;
}

.first-section {
    background: #efefef;
}

.logo img {
    height: 300px;
    opacity: 0.8;
}

.loading .loading-title {
    font-size: 60px;
    margin-left: 0px;
}

.loading .loading-title {
    margin-bottom: .4em;
    letter-spacing: 2px;
}

.designation {
    text-align: left;
    font-size: 18px;
    width: fit-content;
    border-bottom: 2px solid white;
    font-weight: 600;
    color: beige;
    padding-bottom: 5px;
}

.place {
    text-align: left;
    color: white;
    margin-bottom: 2em;
    font-size: 19px;
    font-weight: 600;
}

.loading ul {
    justify-content: center;
}

.overlay {
    background-color: #17171780;
}

.loading-main {
    width: 400px
}

@media(max-width:991px) {
    .logo img {
        height: 200px;
    }
    .loading .loading-title {
        font-size: 36px;
        border-width: 4px;
    }
    .designation {
        font-size: 17px;
    }
    .loading-main {
        width: max-content;
    }
}

.first-section {
    height: fit-content;
    min-height: 100vh;
}

.overlay {
    min-height: 100vh;
}

@media(max-width:768px) {
    .loading {
        position: relative;
        top: unset;
        left: unset;
        transform: unset;
    }
    .logo {
        margin: 0;
    }
    .loading .loading-grid {
        display: flex;
        justify-content: center;
    }
}

@media(max-width:576px) {
    .loading .loading-grid {
        flex-direction: column;
    }
    .loading-main {
        width: 100%;
    }
    .loading .loading-title {
        margin: 0 auto;
        margin-bottom: 1em;
    }
    .designation {
        margin: 0 auto;
    }
    .place {
        text-align: center;
    }
    .loading .subtitle {
        font-size: 20px;
    }
    .loading .subtitle span {
        font-size: 18px;
    }
}